## fontmatrix 0.6.0+svn20100107

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
 
 SET (VERSION_MAJOR "0")
-SET (VERSION_MINOR "9")
+SET (VERSION_MINOR "6")
 SET (VERSION_PATCH "99")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
