=== debian/changelog ===
fontmatrix (0.6.0+svn20100107-2ubuntu4) natty; urgency=low

  * Add debian/patches/no-indirect-linking
    - Add cmake/modules/FindICUUC.cmake and adjust CMakeLists.txt so the
      linker can find libicuuc

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Dec 2010 18:27:43 -0500

fontmatrix (0.6.0+svn20100107-2ubuntu3) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:46:38 +0000

fontmatrix (0.6.0+svn20100107-2ubuntu2) maverick; urgency=low

  * rebuild on libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 10:05:31 +0100

fontmatrix (0.6.0+svn20100107-2ubuntu1) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 19:05:10 +0200

fontmatrix (0.6.0+svn20100107-2) unstable; urgency=low

  * debian/patches/fminfodisplay.cpp: Created a new patch to fix FTBFS on
    armel as Michael's patch was incomplete (Closes: #563972).

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 09 Jan 2010 03:09:57 -0600

fontmatrix (0.6.0+svn20100107-1) unstable; urgency=low

  * Upstream svn snapshot.
  * debian/source/format: Switched to dpkg-source 3.0 (quilt) format.
  * debian/control: Updated Standards-Version to 3.8.3.
  * debian/patches/01_fminfodisplay.cpp.patch: fixes FTBFS on arm. Thanks to
    Michael Casadevall <mcasadevall@debian.org>.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 07 Jan 2010 10:53:40 -0600

fontmatrix (0.6.0-1) unstable; urgency=low

  * Upstream release.
  * debian/fontmatrix.1: Removed the file to use the upstrem manpage (Closes:
    #521211).
  * debian/rules: modified the dh_installman rule for the upstream manpage.
  * debian/control:
    - Updated Standards-Version to 3.8.2.
    - Added build-depends on libpuzzle-dev.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 05 Jul 2009 21:45:18 -0400

fontmatrix (0.5.0~svn20090515-1) unstable; urgency=low

  * Upstream svn snapshot.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 15 May 2009 14:10:54 -0500

fontmatrix (0.5.0~svn20090216-1) unstable; urgency=low

  * Upstream svn snapshot - first with the python scripting enabled.
  * debian/control: Added a build-depends on python-qt4, libicu-dev and
    libm17n-dev, python-all-dev.
  * debian/rules: Added a WANT_PYTHONQT, -DWANT_HARFBUZZ:bool=true,
    -DWANT_ICU:bool=true and -DWANT_M17N:bool=true to cmake configure run.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 16 Feb 2009 13:17:31 -0700

fontmatrix (0.5.0~svn20090114-2) unstable; urgency=low

  * debian/dirs: Added a /usr/share/fontmatrix/resources directory.
  * debian/rules: Install
    /usr/share/fontmatrix/resources/template_default.xml.
  * debian/install: rename fontmatrix.install to install and use it to install
    resources files for font book export templates.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 23 Jan 2009 16:22:06 -0700

fontmatrix (0.5.0~svn20090114-1) unstable; urgency=low

  * Upstream svn snapshot.
  * debian/control:
    - Added libqt4-sql-sqlite to Depends.
  * Debian/README.Debian: Added a note for users to delete
    ~/.Fontmatrix/Data.sql before upgrading due to the fast changing nature of
    the database schema.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 14 Jan 2009 16:54:56 -0700

fontmatrix (0.5.0~svn20081202-1) unstable; urgency=low

  * Upstream svn snapshot. Packages for Ubuntu/Intrepid.
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Added libfontconfig1-dev to Build-Depends.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 02 Dec 2008 12:02:24 -0700

fontmatrix (0.5.0~svn20080806-1) unstable; urgency=low

  * Package an upstream pre-release snapshot as I make the package available
    for Ubuntu/hardy.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 06 Aug 2008 12:50:06 -0600

fontmatrix (0.4.2-3) unstable; urgency=low

  * debian/control: Updated uploader's email address.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 24 Apr 2008 13:23:54 -0600

fontmatrix (0.4.2-2) unstable; urgency=low

  * Added  libfontconfig1-dev, libpng12-dev, libice-dev, libsm-dev, libxi-dev,
    libxrandr-dev, libxrender-dev to build-depends as qt4 doesn't depend on
    them directly anymore (Closes: #477003).

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Apr 2008 08:48:04 -0600

fontmatrix (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 07 Apr 2008 09:07:47 -0600

fontmatrix (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #466024).
  * debian/watch: Mangle the upstream version to remove (-Source) for proper
    uscan work.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 16 Feb 2008 16:44:33 -0700

fontmatrix (0.3.0-2) unstable; urgency=low

  * debian/control:
    - Added a build dependency on cmake.
    - Fixed a typo in the description (Closes: #456607).

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 14 Jan 2008 20:01:11 -0700

fontmatrix (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Changed the long description (Closes: #459499). Thanks to
    Tomas Pospisek for catching the problem.
  * debian/rules: Switch rules to use the new cmake-based build system.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 11 Jan 2008 18:17:16 -0700

fontmatrix (0.2svn-1) unstable; urgency=low

  * Initial release (Closes: #454629).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 09 Dec 2007 14:24:04 -0700
