=== debian/control ===
Source: fontmatrix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), libqtwebkit-dev, cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4
Standards-Version: 3.8.3
Homepage: http://www.fontmatrix.net/

Package: fontmatrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: featureful personal font manager
 fontmatrix is a manager built with the kind of features and abilities
 graphic designers, layout professionals along with others have felt
 necessary, but modernized with some new touches.
 .
 Fontmatrix has a concept of 'tagging'. This makes it really nice to group
 fonts and even sub-group them logically for use in a book for instance.
 It also has extensive gui support for showing all glyphs in a font,
 previews of sample text, variable sizing and also tells what kinds of
 advanced Open Type features are inside each font. These features have
 never been seen outside of a font editor. And not least, it creates a
 nice PDF catalogue of user's fonts for printing or reference. In short,
 fontmatrix is a font manager for professionals, but is nice and user
 friendly.
