## fontmatrix 0.6.0+svn20110930

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,25 @@
 
 set(fontmatrix_SRCS
 ${CMAKE_CURRENT_SOURCE_DIR}/aboutwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dataexport.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dataloader.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/familywidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterbar.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterdata.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filteritem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtermeta.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterpanose.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtertag.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgetsregister.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmactivate.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmactivationreport.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmaltcontext.cpp
@@ -17,6 +33,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontdb.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontextract.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontstrings.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/fmfreetypelib.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmglyphhighlight.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmglyphsview.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fminfodisplay.cpp
@@ -36,6 +53,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/fmshaper_own.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmuniblocks.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmutils.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/fmvariants.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmverticalbutton.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fontbook.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fontbookdialog.cpp
@@ -51,24 +69,31 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/QHexView.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/parallelcoor.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/puzzleviewimp.cpp
-${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
+#${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/mainviewwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/metawidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/modeltext.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/openclosearrow.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosematch.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosemodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pangoshaper.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/playwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/prefspaneldialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/remotedir.cpp
 #${CMAKE_CURRENT_SOURCE_DIR}/savedata.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/shortcuts.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/systray.cpp
 # ${CMAKE_CURRENT_SOURCE_DIR}/tagseteditor.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/tagswidget_listmodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/textprogression.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp
@@ -127,7 +152,20 @@
 
 SET(fontmatrix_MOC_HDRS
 aboutwidget.h
+browserwidget.h
+activationwidget.h
+activationwidgetitem.h
+chartwidget.h
+dataexport.h
 dumpdialog.h
+familywidget.h
+filterbar.h
+filterdata.h
+filtersdialog.h
+filtersdialogitem.h
+filteritem.h
+floatingwidget.h
+floatingwidgettoolbar.h
 fmactivate.h
 fmaltcontext.h
 fmaltselector.h
@@ -136,6 +174,7 @@
 fmfontdb.h
 fmfontextract.h
 fmfontstrings.h
+fmfreetypelib.h
 fmglyphhighlight.h
 fmglyphsview.h
 fmlayoptwidget.h
@@ -154,20 +193,27 @@
 importtags.h
 iview.h
 QHexView.h
-listdockwidget.h
+#listdockwidget.h
 mainviewwidget.h
+metawidget.h
 modeltext.h
+openclosearrow.h
 panosedialog.h
 panosewidget.h
 parallelcoor.h
+playwidget.h
 prefspaneldialog.h
+progressbarduo.h
 remotedir.h
+sampletoolbar.h
+samplewidget.h
 sctextbrowser.h
 shortcuts.h
 systray.h
 # tagseteditor.h
 tagswidget.h
-textprogression.h
+tagswidget_listmodel.h
+#textprogression.h
 tttableview.h
 typotek.h
 )
@@ -179,23 +225,39 @@
 SET(fontmatrix_UIS
 ${CMAKE_CURRENT_SOURCE_DIR}/about.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/activationreportdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/altselectorwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/bookexport.ui
+${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/comparewidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/dataexport.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/familywidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filterbar.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filteritem.ui
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/fontextractordialog.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/importedfonts.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/importtags.ui
 # ${CMAKE_CURRENT_SOURCE_DIR}/help.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/layoutoptions.ui
-${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
+#${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/mainview.ui
+${CMAKE_CURRENT_SOURCE_DIR}/metawidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/matchraster.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/playwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/prefs_panel.ui
+${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/repair.ui
+${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.ui
+${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.ui
 # ${CMAKE_CURRENT_SOURCE_DIR}/tagset.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/textprogression.ui
@@ -305,6 +367,7 @@
 	${SHAPERS_LIBRARIES}
 	${PYTHON_LIBRARIES}
 	${LIBPODOFO_LIBRARY}
+	"-framework ApplicationServices"
 	)
 
 	# here we’ll poupulate the bundle in order to make it
@@ -335,42 +398,3 @@
 	ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
 	COMMAND mkdir ARGS -p ${BUNDLE_RESOURCES_DIR}
 	COMMAND cp ARGS  "${CMAKE_SOURCE_DIR}/src/graphic-resources/fontmatrix.icns" ${BUNDLE_RESOURCES_DIR}
-	COMMAND cp ARGS ${FM_TEMPLATES_FILES} ${FM_STYLE_FILES} ${FM_WELCOME_FILES} ${FM_HELP_FILES} ${BUNDLE_RESOURCES_DIR}
-	)
-# bundles QM files
-	ADD_CUSTOM_COMMAND( TARGET translation_release POST_BUILD
-        COMMAND mkdir ARGS -p ${BUNDLE_LOCALES_DIR}
-        COMMAND cp ARGS ${fontmatrix_QMS} ${BUNDLE_LOCALES_DIR}
-	)
-# bundles libs
-	ADD_CUSTOM_COMMAND(TARGET ${PROGNAME} POST_BUILD
-	COMMAND ${CMAKE_COMMAND} ARGS -Dinput_file=${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/MacOS/${PROGNAME} -P ${CMAKE_MODULE_PATH}/OwnIngestOSXBundleLibraries.cmake
-	)
-
-ENDIF(APPLE)
-
-IF(WIN32)
-	add_executable(fontmatrix WIN32
-	${fontmatrix_SRCS}
-	${SHAPERS_SRCS}
-	${PYTHONQT_SCRIPTER_SRCS}
-	${fontmatrix_MOC_SRCS}
-	${fontmatrix_UIS_H}
-	${fontmatrix_RCC_SRCS}
-	${PODOFO_SRCS}
-	)
-
-	target_link_libraries(fontmatrix harfbuzz hyphenate
-	${PYTHONQT_LIB}
-	${QT_LIBRARIES}
-	${FREETYPE_LIBRARIES}
-	${SHAPERS_LIBRARIES}
-	${PYTHON_LIBRARIES}
-	${LIBPODOFO_LIBRARY}
-	)
-
-	INSTALL(TARGETS fontmatrix
-	RUNTIME DESTINATION ${FONTMATRIX_BIN}
-	)
-	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
-ENDIF(WIN32)
