=== samples/bn/CMakeLists.txt ===


set(SAMPLES_BN
sample
)

install(FILES ${SAMPLES_BN}
	DESTINATION ${SAMPLE_DIR}/bn)
