=== samples/pa/CMakeLists.txt ===


set(SAMPLES_PA
sample
)

install(FILES ${SAMPLES_PA}
	DESTINATION ${SAMPLE_DIR}/pa)
