=== samples/udm/CMakeLists.txt ===
# Samples in Udmurt

set(SAMPLES_UDM
sample
)

install(FILES ${SAMPLES_UDM}
	DESTINATION ${SAMPLE_DIR}/udm)
