=== debian/changelog ===
fontmatrix (0.6.0+svn20110930-1.1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 03:58:27 +0000

fontmatrix (0.6.0+svn20110930-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix type mismatch between qreal and double on ARM EABI (closes: #644250).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 Nov 2011 19:51:41 +0100

fontmatrix (0.6.0+svn20110930-1) unstable; urgency=low

  * Upstream svn snapshot (Closes: #554407, #628304).
  * debian/control:
    - Updated Standards-Version to 3.9.2.
    - Added build-depends on libqt4-opengl-dev and libqtwebkit-dev to prevent
      a ftbfs.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 30 Sep 2011 17:00:54 -0500
