=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), libqtwebkit-dev, cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4, libqtwebkit-dev, libqt4-opengl-dev
+Standards-Version: 3.9.2
 Homepage: http://www.fontmatrix.net/
 
 Package: fontmatrix
