=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,11 @@
 #	cp bin/fontmatrix DESTDIR=$(CURDIR)/debian/fontmatrix/usr/bin/
 
 
+# Build architecture-dependent files here.
+#build %:
+#	dh $@
+#	dh_installman -pfontmatrix fontmatrix.1
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -87,8 +92,9 @@
 	dh_md5sums
 	dh_builddeb
 
+
 upstream:
 	find . -name ".svn*" -exec rm -rf {} \;
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
